precision highp float;

varying vec2 vTexCoord0;
varying vec4 varVertexColor;

attribute vec4 inBlendWeight;
attribute vec4 inBlendIndex;
attribute vec3 inVertexPosition;
attribute vec2 inTexCoord0;

uniform mat4 uMVP;
uniform mat4 uBone[60];


void main(void)
{
	vec4 Position = vec4(0.0, 0.0, 0.0, 0.0);
	vec4 p0 = vec4(inVertexPosition, 1.0);
		
	Position += vec4(uBone[int(inBlendIndex[0])] * p0 * inBlendWeight[0]);
	Position += vec4(uBone[int(inBlendIndex[1])] * p0 * inBlendWeight[1]);
	Position += vec4(uBone[int(inBlendIndex[2])] * p0 * inBlendWeight[2]);
	Position += vec4(uBone[int(inBlendIndex[3])] * p0 * inBlendWeight[3]);
	
	gl_Position = uMVP * Position;		
	vTexCoord0 = inTexCoord0;
    
    //varVertexColor = inVertexColor.bgra;
}
